Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions
Class Status

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.Actions.Status

All Implemented Interfaces:
  java.lang.Cloneable

    public class Status

extends java.lang.Object
implements java.lang.Cloneable

Status class, a central component where all Action should store their status code (+description).

Author:
  jkrueger

Constructor Summary
`Status()` Default Constructor creates an empty status object
`Status(int code)` Constructor, create a new Status object with given code
`Status(int code, java.lang.String description)` Constructor,create a new Status object with given code and description

Method Summary
`void` | `clean()`
`Status` | `clone()`
`boolean` | `equals(Status status)` Equals a Status object with current status object
`boolean` | `finished()` Return wether this status is in status finshed.
`int` | `getCode()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getId()`
`void` | `setCode(int code)`
`void` | `setDescription(java.lang.String description)`
`void` | `setFinished(boolean finished)` Set finished flag of this status
`void` | `setId(java.lang.String id)`
`void` | `setStatus(int code, java.lang.String description)` Set Status code and Status description of current Status
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Status

    public Status()

  Default Constructor creates an empty status object

### Status

    public Status(int code)

  Constructor, create a new Status object with given code

  Parameters:
    `code` - - Status code of this status

### Status

    public Status(int code,
                  java.lang.String description)

  Constructor,create a new Status object with given code and description

  Parameters:
    `code` - - Status code of this status
    `description` - - Status description of this status

Method Detail

### getCode

    public int getCode()

  Returns:
    Returns the code.

### setCode

    public void setCode(int code)

  Parameters:
    `code` - The code to set.

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### setStatus

    public void setStatus(int code,
                          java.lang.String description)

  Set Status code and Status description of current Status

  Parameters:
    `code` - - The Status code to set.
    `description` - - The Status description to set.

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - The id to set.

### finished

    public boolean finished()

  Return wether this status is in status finshed.

  Returns:

### setFinished

    public void setFinished(boolean finished)

  Set finished flag of this status

  Parameters:
    `finished` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public Status clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(Status status)

  Equals a Status object with current status object

  Parameters:
    `status` -
  Returns:
    true, if status equals current object

### clean

    public void clean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD